<?php
$logo_url = nmd_get_the_customizer_image_url('nmd_logo_image', false);
$disable_web_font = get_option('nmd_disable_web_font', false);
$logo_height = get_option('nmd_logo_image_height', '36');

$registerd = get_option('nmd_registered_key');

?>

<!DOCTYPE html>
<html <?php language_attributes(); ?>>

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
    <link rel="preconnect" href="https://pagead2.googlesyndication.com" crossorigin>
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link rel="preconnect" href="https://fonts.googleapis.com" crossorigin>
    <link rel="preconnect" href="https://googleads.g.doubleclick.net" crossorigin>
    <link rel="preconnect" href="https://stats.g.doubleclick.net" crossorigin>
    <link rel="preconnect" href="https://static.doubleclick.net" crossorigin>
    <?php if (!$disable_web_font) : ?>
        <link href="https://fonts.googleapis.com/earlyaccess/notosansjapanese.css" rel="stylesheet" />
    <?php endif; ?>
    <?php get_template_part('includes/head/add-style'); ?>
    <?php wp_head(); ?>
    <?php get_template_part('includes/head/head-seo'); ?>
    <?php get_template_part('includes/head/inline-style'); ?>
    <?php get_template_part('includes/head/adsense-auto'); ?>
    <?php echo get_option('nmd_add_element_head', ''); ?>
</head>

<body <?php body_class(); ?>>
    <?php wp_body_open(); ?>
    <header class="header">
        <div class="nav-container">
            <div class="global-nav">
                <div class="logo" id="logo">
                    <?php if (is_home() || is_front_page()) : ?>
                        <?php if ($logo_url) : ?>
                            <h1 class="logo__inner"><a href="<?php echo NMD_HOME_URL; ?>"><img src="<?php echo $logo_url ?>" alt="<?php echo NMD_BLOG_NAME; ?>" style="height: <?php echo $logo_height; ?>px"></a></h1>
                        <?php else : ?>
                            <h1 class="logo__inner"><a href="<?php echo NMD_HOME_URL; ?>"><?php echo NMD_BLOG_NAME; ?></a></h1>
                        <?php endif; ?>
                    <?php else : ?>
                        <?php if ($logo_url) : ?>
                            <p class="logo__inner"><a href="<?php echo NMD_HOME_URL; ?>"><img src="<?php echo $logo_url ?>" alt="<?php echo NMD_BLOG_NAME; ?>" style="height: <?php echo $logo_height; ?>px"></a></p>
                        <?php else : ?>
                            <p class="logo__inner"><a href="<?php echo NMD_HOME_URL; ?>"><?php echo NMD_BLOG_NAME; ?></a></p>
                        <?php endif; ?>
                    <?php endif; ?>
                </div>
                <?php
                if (has_nav_menu('global')) {
                    wp_nav_menu(array(
                        'theme_location' => 'global',
                        'menu_class'     => 'global-nav__list',
                        'container'      => 'nav',
                        'container_class' => 'global-nav__nav',
                        'depth'          => 2,
                    ));
                }
                ?>
                <div class="global-nav__right">
                    <form class="search-box" method="get" action="<?php echo NMD_HOME_URL . '/'; ?>">
                        <button type="submit" class="search-button" aria-label="button"></button>
                        <input type="text" placeholder="Search..." name="s" aria-label="input" value="<?php echo get_search_query(); ?>" />
                    </form>
                </div>
            </div>
            <div class="global-nav-sp">
                <div class="logo">
                    <?php if (is_home() || is_front_page()) : ?>
                        <h1 class="logo__inner">
                            <a href="<?php echo NMD_HOME_URL; ?>">
                                <?php if ($logo_url) : ?>
                                    <img src="<?php echo $logo_url ?>" alt="<?php echo NMD_BLOG_NAME; ?>" style="height: <?php echo $logo_height; ?>px">
                                <?php else : ?>
                                    <?php echo NMD_BLOG_NAME; ?>
                                <?php endif; ?>
                            </a>
                        </h1>
                    <?php else : ?>
                        <p class="logo__inner">
                            <a href="<?php echo NMD_HOME_URL; ?>">
                                <?php if ($logo_url) : ?>
                                    <img src="<?php echo $logo_url ?>" alt="<?php echo NMD_BLOG_NAME; ?>" style="height: <?php echo $logo_height; ?>px">
                                <?php else : ?>
                                    <?php echo NMD_BLOG_NAME; ?>
                                <?php endif; ?>
                            </a>
                        </p>
                    <?php endif; ?>
                </div>
                <?php if (has_nav_menu('sp-global')) : ?>
                    <div id="nav-wrapper" class="nav-wrapper">
                        <div class="hamburger" id="js-hamburger">
                            <span class="hamburger__line hamburger__line--1"></span>
                            <span class="hamburger__line hamburger__line--2"></span>
                            <span class="hamburger__line hamburger__line--3"></span>
                        </div>
                        <?php
                        wp_nav_menu(array(
                            'theme_location' => 'sp-global',
                            'menu_class'     => 'global-nav-sp__list',
                            'container'      => 'nav',
                            'container_class' => 'global-nav-sp__nav sp-nav',
                            'depth'          => 1,
                        ));
                        ?>
                        <div class="black-bg" id="js-black-bg"></div>
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </header>