<?php

if ( !defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Theme Directory URI.
 */
define( 'NMD_TEMPLATE_URI', get_template_directory_uri() );

function nmd_theme_version() {
	$theme = wp_get_theme( get_template() );
	return $theme->Version;
}
define( 'NMD_THEME_VERSION', nmd_theme_version() );

define( 'NMD_HOME_URL', esc_url( home_url() ) );

define( 'NMD_TEXT_DOMAIN', 'nomadtheme' );

define( 'NMD_BLOG_NAME', get_bloginfo( 'name' ) );

define( 'NMD_BLOG_DESCRIPTION', get_bloginfo( 'description' ) );

/**
 * Check If the Device is Mobile or PC.
 */
function nmd_get_is_mobile() {
	$useragents = array(
		'iPhone',          // iPhone
		'iPod',            // iPod touch
		'^(?=.*Android)(?=.*Mobile)', // 1.5+ Android
		'dream',           // Pre 1.5 Android
		'CUPCAKE',         // 1.5+ Android
		'blackberry9500',  // Storm
		'blackberry9530',  // Storm
		'blackberry9520',  // Storm v2
		'blackberry9550',  // Storm v2
		'blackberry9800',  // Torch
		'webOS',           // Palm Pre Experimental
		'incognito',       // Other iPhone browser
		'webmate'          // Other iPhone browser
	);
	$pattern = '/'.implode('|', $useragents).'/i';
	return preg_match( $pattern, $_SERVER['HTTP_USER_AGENT'] );
}
define( 'NMD_IS_MOBILE', nmd_get_is_mobile() );
