<?php

if (!defined('ABSPATH')) {
	exit;
}

if (!function_exists('nmd_customizer_register_common')) {
	function nmd_customizer_register_common($wp_customize)
	{
		/**
		 * パネルの追加 =========================================================
		 */
		$wp_customize->add_panel('nmd_common_panel', array(
			'title'    => '[Nomad]共通設定',
			'priority' => 190,
		));

		/**
		 * カラム設定 =========================================================
		 */
		$wp_customize->add_section('nmd_section_column', array(
			'title'       => 'カラム設定',
			'panel'       => 'nmd_common_panel',
		));
		// トップページのカラム
		$wp_customize->add_setting('nmd_toppage_column', array(
			'type'				=> 'option',
			'sanitize_callback' => 'nmd_sanitize_select',
			'default'			=> 'multi',
		));
		$wp_customize->add_control('nmd_toppage_column', array(
			'label'			=> 'トップページのカラム',
			'section'		=> 'nmd_section_column',
			'settings'		=> 'nmd_toppage_column',
			'type'			=> 'radio',
			'choices'	=> array(
				'single'=> '1カラム',
				'multi'	=> '2カラム',
			),
		));
		$wp_customize->selective_refresh->add_partial('nmd_toppage_column', array(
			'selector' => '#main',
		));

		// 投稿ページのカラム
		$wp_customize->add_setting('nmd_post_column', array(
			'type'				=> 'option',
			'sanitize_callback' => 'nmd_sanitize_select',
			'default'			=> 'multi',
		));
		$wp_customize->add_control('nmd_post_column', array(
			'label'			=> '投稿ページのカラム',
			'section'		=> 'nmd_section_column',
			'settings'		=> 'nmd_post_column',
			'type'			=> 'radio',
			'choices'	=> array(
				'single' => '1カラム',
				'multi'	=> '2カラム',
			),
		));

		// 固定ページのカラム
		$wp_customize->add_setting('nmd_page_column', array(
			'type'				=> 'option',
			'sanitize_callback' => 'nmd_sanitize_select',
			'default'			=> 'multi',
		));
		$wp_customize->add_control('nmd_page_column', array(
			'label'			=> '固定ページのカラム',
			'section'		=> 'nmd_section_column',
			'settings'		=> 'nmd_page_column',
			'type'			=> 'radio',
			'choices'	=> array(
				'single' => '1カラム',
				'multi'	=> '2カラム',
			),
		));

		// アーカイブページのカラム
		$wp_customize->add_setting('nmd_archive_column', array(
			'type'				=> 'option',
			'sanitize_callback' => 'nmd_sanitize_select',
			'default'			=> 'multi',
		));
		$wp_customize->add_control('nmd_archive_column', array(
			'label'			=> 'アーカイブページのカラム（カテゴリー、タグ、月別など）',
			'section'		=> 'nmd_section_column',
			'settings'		=> 'nmd_archive_column',
			'type'			=> 'radio',
			'choices'	=> array(
				'single' => '1カラム',
				'multi'	=> '2カラム',
			),
		));

		/**
		 * 記事一覧のレイアウト =========================================================
		 */
		$wp_customize->add_section('nmd_section_archive_layout', array(
			'title'	=> '記事一覧のレイアウト',
			'panel'	=> 'nmd_common_panel',
		));
		// 2カラム時の記事一覧レイアウト
		$wp_customize->add_setting('nmd_archive_layout_multi', array(
			'type'				=> 'option',
			'sanitize_callback' => 'nmd_sanitize_select',
			'default'			=> 'sidebar-1column',
		));
		$wp_customize->add_control('nmd_archive_layout_multi', array(
			'label'			=> '2カラム時の記事一覧レイアウト',
			'section'		=> 'nmd_section_archive_layout',
			'settings'		=> 'nmd_archive_layout_multi',
			'type'			=> 'radio',
			'choices'	=> array(
				'sidebar-1column'		=> '1列',
				'sidebar-1column-big'	=> '1列（大）',
				'sidebar-2columns'		=> '2列',
				'sidebar-2columns-big'	=> '2列（大）',
				'sidebar-3columns'		=> '3列',
			),
		));
		$wp_customize->selective_refresh->add_partial('nmd_archive_layout_multi', array(
			'selector' => '#list',
		));
		// 1カラム時の記事一覧レイアウト
		$wp_customize->add_setting('nmd_archive_layout_single', array(
			'type'				=> 'option',
			'sanitize_callback' => 'nmd_sanitize_select',
			'default'			=> 'main-2columns',
		));
		$wp_customize->add_control('nmd_archive_layout_single', array(
			'label'			=> '1カラム時の記事一覧レイアウト',
			'section'		=> 'nmd_section_archive_layout',
			'settings'		=> 'nmd_archive_layout_single',
			'type'			=> 'radio',
			'choices'	=> array(
				'main-2columns'		=> '2列',
				'main-2columns-big'	=> '2列（大）',
				'main-3columns'		=> '3列',
				'main-4columns'		=> '4列',
			),
		));
		/**
		 * SNSシェア関連
		 */
		$wp_customize->add_section( 'nmd_section_share_sns', array(
			'title'		=> 'SNSシェア関連の設定',
			'panel'		=> 'nmd_common_panel',
		) );
		$wp_customize->add_setting( 'nmd_twitter_size', array(
			'type'				=> 'option',
			'default'			=> 'summary',
			'sanitize_callback'	=> 'nmd_sanitize_select',
		) );
		$wp_customize->add_control( 'nmd_twitter_size', array(
			'label'		=> 'Twitterでの表示サイズ',
			'section'	=> 'nmd_section_share_sns',
			'settings'	=> 'nmd_twitter_size',
			'type'		=> 'radio',
			'choices'	=> array(
				'summary'				=> 'summary',
				'summary_large_image'	=> 'summary large image',
			),
		) );

		/**
		 * 画像の設定
		 */
		$wp_customize->add_section( 'nmd_section_image', array(
			'title'			=> '画像関連設定',
			'panel'			=> 'nmd_common_panel',
			'description'	=> '各所画像の設定ができます。'
		) );
		$wp_customize->add_setting( 'nmd_top_page_ogp_image', array(
			'sanitize_callback' => 'nmd_slug_sanitize_image',
		) );
		$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'nmd_top_page_ogp_image', array(
			'label'			=> 'Twitter・Facebookなどのシェアに使われる画像',
			'description'	=> 'トップページ・アーカイブページ（カテゴリーなど）をシェアした時に使われる画像です。',
			'section'		=> 'nmd_section_image',
			'settings'		=> 'nmd_top_page_ogp_image',
		) ) );

		$wp_customize->add_setting( 'nmd_default_thumbnail', array(
			'sanitize_callback' => 'nmd_slug_sanitize_image',
		) );
		$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'nmd_default_thumbnail', array(
			'label'			=> 'デフォルトのサムネイル画像',
			'description'	=> '記事のサムネイルが設定されていない場合、この画像が表示されます。',
			'section'		=> 'nmd_section_image',
			'settings'		=> 'nmd_default_thumbnail',
		) ) );

		$wp_customize->add_setting('nmd_display_default_eyecatch', array(
			'sanitize_callback'	=> 'nmd_sanitize_checkbox',
		));
		$wp_customize->add_control('nmd_display_default_eyecatch', array(
			'label'			=> 'デフォルト画像を表示',
			'description'	=> '投稿ページにアイキャッチが設定されていない場合、デフォルト画像を表示します。',
			'section'		=> 'nmd_section_image',
			'settings'		=> 'nmd_display_default_eyecatch',
			'type'			=> 'checkbox',
		));
		$wp_customize->selective_refresh->add_partial('nmd_display_default_eyecatch', array(
			'selector' => '#entry-header',
		));

		/**
		 * ヘッダー設定 =========================================================
		 */
		$wp_customize->add_section('nmd_section_header', array(
			'title'	=> 'ヘッダー設定',
			'panel'	=> 'nmd_common_panel',
		));

		// ロゴ画像
		$wp_customize->add_setting( 'nmd_logo_image', array(
			'sanitize_callback' => 'nmd_slug_sanitize_image',
		) );
		$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'nmd_logo_image', array(
			'label'		=> 'ヘッダー左上のサイトロゴ画像',
			'section'	=> 'nmd_section_header',
			'settings'	=> 'nmd_logo_image',
		) ) );
		$wp_customize->selective_refresh->add_partial('nmd_logo_image', array(
			'selector' => '#logo',
		));
		// ロゴの高さ
		$wp_customize->add_setting('nmd_logo_image_height', array(
			'type' => 'option',
			'default' => '36',
			'sanitize_callback' => 'nmd_sanitize_number_range',
		));
		$wp_customize->add_control('nmd_logo_image_height', array(
			'label'       => 'ロゴ画像の高さ',
			'description' => '20~50pxの範囲で設定できます。',
			'section'     => 'nmd_section_header',
			'settings'    => 'nmd_logo_image_height',
			'type'        => 'number',
			'input_attrs' => array(
				'step' => '1',
				'min'  => '20',
				'max' => '50'
			),
		));

		/**
		 * フッター設定 =========================================================
		 */
		$wp_customize->add_section('nmd_section_footer', array(
			'title'	=> 'フッター設定',
			'panel'	=> 'nmd_common_panel',
		));

		// コピーライト
		$wp_customize->add_setting('nmd_copyright_year', array(
			'type'				=> 'option',
			'sanitize_callback' => 'sanitize_text_field',
		));
		$wp_customize->add_control('nmd_copyright_year', array(
			'label'			=> 'サイト開設年',
			'description'	=> '「202X」',
			'section'		=> 'nmd_section_footer',
			'settings'		=> 'nmd_copyright_year',
			'type'			=> 'text',
		));
		$wp_customize->selective_refresh->add_partial('nmd_copyright_year', array(
			'selector' => '#c-copyright',
		));

		//
		$wp_customize->add_setting( 'nmd_copyright_this_year', array(
			'type'				=> 'option',
			'sanitize_callback'	=> 'nmd_sanitize_checkbox',
		) );
		$wp_customize->add_control( 'nmd_copyright_this_year', array(
			'label'			=> '現在の年を表示',
			'description'	=> '開設年が今年の場合、翌年から表示されます。',
			'section'		=> 'nmd_section_footer',
			'settings'		=> 'nmd_copyright_this_year',
			'type'			=> 'checkbox',
		) );

		//
		$wp_customize->add_setting( 'nmd_copyright_author', array(
			'type'				=> 'option',
			'sanitize_callback'	=> 'sanitize_text_field',
		) );
		$wp_customize->add_control( 'nmd_copyright_author', array(
			'label'			=> 'サイトの著作権者（運営者）',
			'description'	=> '未入力の場合はサイト名が表示されます。',
			'section'		=> 'nmd_section_footer',
			'settings'		=> 'nmd_copyright_author',
			'type'			=> 'text',
		) );
	}
	add_action('customize_register', 'nmd_customizer_register_common');
}
